#!/bin/sh

while true
do
	if ps aux | grep X | grep -v grep >/dev/null 2>/dev/null
	then
		echo "X is ready"
		break
	fi
	echo "X is not ready yet !"
	sleep 5
done

DISPLAY=:0 xterm -e "sh /usr/bin/mullvad-browser-installer-updater.sh ; cat" &
echo $! > /tmp/mvdupd_xterm.pid

while true; do	
	sleep 10800
	if [ -e /var/log/mullvad-browser-installer-updater.sh.log ]
	then
		mv /var/log/mullvad-browser-installer-updater.sh.log /var/log/mullvad-browser-installer-updater.sh.log.old
	fi
	echo $(date) : Launching mullvad-browser-installer-updater.sh
	sh /usr/bin/mullvad-browser-installer-updater.sh | tee /var/log/mullvad-browser-installer-updater.sh.log
done
